Bug 703337 - guest stuck at entering single mode
guest stuck at entering single mode
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.7
Unspecified Linux
medium Severity medium
: rc
: ---
Assigned To: Gleb Natapov
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier1
  Show dependency treegraph
 
Reported: 2011-05-09 23:17 EDT by Xiaoqing Wei
Modified: 2013-12-08 19:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-18 08:03:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
boot time(appended single) (17.71 KB, image/png)
2011-05-09 23:17 EDT, Xiaoqing Wei
no flags Details
entering single (25.12 KB, image/png)
2011-05-09 23:18 EDT, Xiaoqing Wei
no flags Details

  None (edit)
Description Xiaoqing Wei 2011-05-09 23:17:59 EDT
Created attachment 497945 [details]
boot time(appended single)

Description of problem:
1.boot guest with single mode,guest stuck.
2.after fully startup,type "init 1" in guest,guest stuck.

Version-Release number of selected component (if applicable):
kvm-83-232.el5

How reproducible:
always

Steps to Reproduce:
1.boot a rhel5.6-64 guest 

qemu-kvm -name rhel  -monitor stdio -serial unix:/t..,server,nowait \
-drive file=5.6-64.qcow2,index=0,if=ide,media=disk,cache=none,format=qcow2 \
-net nic,vlan=0,model=rtl8139,macaddr=52:54:00:12:34:56  \
-net tap,vlan=0,ifname=rhel56-64,script=ifup-switch,downscript=no \
-m 2048 -smp 2,cores=2,threads=1,sockets=1 \
-cpu qemu64,+sse2 -soundhw ac97 -vnc :10  \
-rtc-td-hack -M rhel5.6.0 -boot c -usbdevice tablet

2. edit grub option during boot time, append   "single" to the end of kernel line.
3.
  
Actual results:
guest stucks during boot ,pls see snapshot

Expected results:
guest boot normally

Additional info:
host info
kernel-2.6.18-260.el5
CPU INFO
processor	: 7
vendor_id	: GenuineIntel
cpu family	: 6
model		: 15
model name	: Intel(R) Xeon(R) CPU           E5310  @ 1.60GHz
stepping	: 11
cpu MHz		: 1595.925
cache size	: 4096 KB

32G RAM

top info (show threads)

Tasks:   5 total,   0 running,   5 sleeping,   0 stopped,   0 zombie
Cpu(s):  0.0%us,  0.0%sy,  0.0%ni,100.0%id,  0.0%wa,  0.0%hi,  0.0%si,  0.0%st
Mem:  32940096k total,  1286896k used, 31653200k free,    43556k buffers
Swap: 34996216k total,        0k used, 34996216k free,   386600k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND                       
 4674 root      15   0 2327m 703m 2536 S  0.0  2.2   0:08.93 qemu-kvm                      
 4683 root      15   0 2327m 703m 2536 S  0.0  2.2   0:00.73 qemu-kvm                      
 4684 root      15   0 2327m 703m 2536 S  0.0  2.2   5:51.64 qemu-kvm                      
 4685 root      16   0 2327m 703m 2536 S  0.0  2.2   2:25.33 qemu-kvm                      
 4686 root      15   0 2327m 703m 2536 S  0.0  2.2   0:00.00 qemu-kvm                      



guest info:
kernel-2.6.18-260.el5

grub kernel options
kernel /vmlinuz-2.6.18-260.el5 ro root=/dev/VolGroup00/LogVol00 console=ttyS0,115200 
console=tty0     single
Comment 1 Xiaoqing Wei 2011-05-09 23:18:49 EDT
Created attachment 497946 [details]
entering single
Comment 2 Xiaoqing Wei 2011-05-10 00:36:40 EDT
additional test on rhel5.7 host:

1,boot host and append "single" to kernel option,boot successfully.

2,after host fully startup, enter "init 1 " in terminal, enter single mode without problem
Comment 3 Xiaoqing Wei 2011-05-10 00:48:59 EDT
(In reply to comment #0)
> Created attachment 497945 [details]

gdb -p info
(gdb) bt
#0  0x0000003fd9acd722 in select () from /lib64/libc.so.6
#1  0x00000000004093e1 in qemu_select (timeout=0)
    at /usr/src/debug/kvm-83-maint-snapshot-20090205/qemu/vl.c:3995
#2  main_loop_wait (timeout=0)
    at /usr/src/debug/kvm-83-maint-snapshot-20090205/qemu/vl.c:4094
#3  0x000000000050114a in kvm_main_loop ()
    at /usr/src/debug/kvm-83-maint-snapshot-20090205/qemu/qemu-kvm.c:596
#4  0x000000000040e757 in main_loop (argc=32, argv=0x7fff879c91a8, 
    envp=<value optimized out>)
    at /usr/src/debug/kvm-83-maint-snapshot-20090205/qemu/vl.c:4157
#5  main (argc=32, argv=0x7fff879c91a8, envp=<value optimized out>)
    at /usr/src/debug/kvm-83-maint-snapshot-20090205/qemu/vl.c:6559
(gdb) q
Comment 4 Glauber Costa 2011-05-17 13:07:32 EDT
Can you include kvm_stat data ?
Comment 5 Gleb Natapov 2011-05-17 13:22:46 EDT
This is highly unlikely have anything to do with kvm or qemu (unless the same image works in rhel6). Reinstall the guest and try again.
Comment 6 Xiaoqing Wei 2011-05-17 22:35:04 EDT
(In reply to comment #4)
> Can you include kvm_stat data ?

[root@intel-5310-32-1 staf-kvm-devel]# kvm_stat -1
efer_reload                    2         0
exits                   10165843      6034
fpu_reload                399622         0
halt_exits               2042470      2002
halt_wakeup               252632       193
host_state_reload        3179343      2383
hypercalls                     0         0
insn_emulation           5620641      3003
insn_emulation_fail            0         0
invlpg                     32729         0
io_exits                  768800        28
irq_exits                  66812         0
irq_injections           3087547      3003
irq_window               1033096      1001
kvm_request_irq                0         0
largepages                     0         0
mmio_exits                 66171         0
mmu_cache_miss             23067         0
mmu_flooded                 8395         0
mmu_pde_zapped             30709         0
mmu_pte_updated                0         0
mmu_pte_write              83904         0
mmu_recycled                   0         0
mmu_shadow_zapped          21901         0
mmu_unsync                  1108         0
mmu_unsync_global              0         0
nmi_injections                 0         0
nmi_window                     0         0
pf_fixed                  380428         0
pf_guest                  184864         0
remote_tlb_flush           64073         0
request_nmi                    0         0
signal_exits                   1         0
tlb_flush                 208386         0
Comment 7 Suqin Huang 2011-07-18 07:28:41 EDT
can not reproduce it with fresh image

host: 
2.6.18-274.el5
kvm-83-239.el5

guest: rhel5.7-64
Comment 8 Suqin Huang 2011-07-18 08:12:31 EDT
should remove "console=ttyS0,115200 console=tty0" when switch to single mode

Note You need to log in before you can comment on or make changes to this bug.